1f84722e47772f130d523254df2b4ed276b3f1432commit-bot@chromium.org#!/bin/sh
2f84722e47772f130d523254df2b4ed276b3f1432commit-bot@chromium.org
3f84722e47772f130d523254df2b4ed276b3f1432commit-bot@chromium.org# Copyright 2014 Google Inc.
4f84722e47772f130d523254df2b4ed276b3f1432commit-bot@chromium.org#
5f84722e47772f130d523254df2b4ed276b3f1432commit-bot@chromium.org# Use of this source code is governed by a BSD-style license that can be
6f84722e47772f130d523254df2b4ed276b3f1432commit-bot@chromium.org# found in the LICENSE file.
7f84722e47772f130d523254df2b4ed276b3f1432commit-bot@chromium.org
8f84722e47772f130d523254df2b4ed276b3f1432commit-bot@chromium.org# download_deps - download Skia's dependencies for a bare Linux system
9f84722e47772f130d523254df2b4ed276b3f1432commit-bot@chromium.org# (the normal dependecies plus giflib, libpng, and zlib.)
10f84722e47772f130d523254df2b4ed276b3f1432commit-bot@chromium.org
11f84722e47772f130d523254df2b4ed276b3f1432commit-bot@chromium.orgtry() {
12f84722e47772f130d523254df2b4ed276b3f1432commit-bot@chromium.org    # print an error on nonzero return code
13f84722e47772f130d523254df2b4ed276b3f1432commit-bot@chromium.org    "$@"
14f84722e47772f130d523254df2b4ed276b3f1432commit-bot@chromium.org    local ret=$?
15f84722e47772f130d523254df2b4ed276b3f1432commit-bot@chromium.org    if [ $ret != 0 ] ; then
16f84722e47772f130d523254df2b4ed276b3f1432commit-bot@chromium.org        echo "'$@' failed and returned ${ret}." >&2
17f84722e47772f130d523254df2b4ed276b3f1432commit-bot@chromium.org        return $ret
18f84722e47772f130d523254df2b4ed276b3f1432commit-bot@chromium.org    fi
19f84722e47772f130d523254df2b4ed276b3f1432commit-bot@chromium.org}
20f84722e47772f130d523254df2b4ed276b3f1432commit-bot@chromium.org
21f84722e47772f130d523254df2b4ed276b3f1432commit-bot@chromium.orgtry command -v gclient > /dev/null || exit
22f84722e47772f130d523254df2b4ed276b3f1432commit-bot@chromium.orgcd "$(dirname "$0")/../../.."
23f84722e47772f130d523254df2b4ed276b3f1432commit-bot@chromium.org
24f84722e47772f130d523254df2b4ed276b3f1432commit-bot@chromium.orgtry gclient config --unmanaged --name . \
25f84722e47772f130d523254df2b4ed276b3f1432commit-bot@chromium.org    'https://skia.googlesource.com/skia.git' || exit
26f84722e47772f130d523254df2b4ed276b3f1432commit-bot@chromium.org
27f84722e47772f130d523254df2b4ed276b3f1432commit-bot@chromium.orgecho 'target_os = ["barelinux"]' >> ./.gclient
28f84722e47772f130d523254df2b4ed276b3f1432commit-bot@chromium.org
29f84722e47772f130d523254df2b4ed276b3f1432commit-bot@chromium.orgtry gclient sync --jobs=1 || exit
30